;===========================================
;Pic 16F628 ile Karaimek Devresi
;Mehmet Ylmaz mehmet.yilmaz@teknomerkez.net
;===========================================

	LIST	P=16F628
	INCLUDE	"P16F628.INC"

	__config _CP_OFF & _DATA_CP_OFF & _LVP_OFF & _BODEN_ON & _MCLRE_OFF & _PWRTE_ON & _WDT_OFF & _INTRC_OSC_CLKOUT
	
SAYAC1	EQU	h'20'
SAYAC2	EQU	h'21'

;=====PORTLARIN GR VE IKILARI AYARLANIYOR=====
	CLRF	PORTB
	BCF	STATUS, 0
	BSF 	STATUS, 5
	CLRF	TRISB
	BCF	STATUS, 5

	MOVLW	h'07'
	MOVWF	CMCON

;=====BALANGI AYARLARI YAPILIYOR=====
	MOVLW	h'01'
	MOVWF	PORTB

;=====PROGRAM ALIMAYA BALIYOR=====
SOL			;SOLA KAYDIRMA LEM YAPILIYOR
	CALL	BEKLE
	RLF	PORTB, F
	BTFSS	PORTB, 7
	GOTO	SOL

SAG			;SAA KAYDIRMA LEM YAPILIYOR
	CALL 	BEKLE
	RRF	PORTB, F
	BTFSS	PORTB, 0
	GOTO 	SAG
	GOTO	SOL

;=====GECKME YAPTIRILIYOR=====
BEKLE
	MOVLW	h'FF'
	MOVWF	SAYAC1
DONGU1
	MOVLW	h'FF'
	MOVWF	SAYAC2
DONGU2
	DECFSZ	SAYAC2, F
	GOTO	DONGU2
	DECFSZ	SAYAC1, F
	GOTO	DONGU1
	RETURN

;=====PROGRAMIN SONU=====
	END